
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    overflow-x: hidden;
}

:root {
    --color-bg: #0a0a0a;
    --color-primary: #f4d000;
    --color-text: #ffffff;
    --color-secondary: #2f6f73;

    --font-main: 'Arial', sans-serif;
}

.header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.nav-link.active {
    font-weight: bold;
}

button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

/* 
body {
    font-family: var(--font-main);
    background: linear-gradient(to bottom, #000000, #2f6f73);
    color: var(--color-text);
}
*/

body {
    font-family: var(--font-main);
    color: var(--color-text);

    background:
        /* DEGRADE OSCURO (capa superior) */
        linear-gradient(to bottom, rgba(0, 0, 0, 0.9), #2f6f73d9);

        /* IMAGENES (capas inferiores) 
        url("../img/foto1-01.jpg"),
        url("../img/foto2-01.jpg"),
        url("../img/foto9-01.jpg");*/

    background-size:
        cover,
        cover,
        cover,
        cover;

    background-position:
        center,
        left top,
        center,
        right bottom;

    background-repeat: no-repeat;

    background-attachment: fixed;
}


a {
    text-decoration: none;
    color: var(--color-text);
}

.btn-primary {
    background-color: var(--color-primary);
    color: black;
    border: none;
    padding: 10px 20px;
    border-radius: 20px;
    cursor: pointer;
    font-weight: bold;
    transition: transform 0.3s ease;
}

.btn-primary:hover{
    transform: scale(1.1);
}

.scroll-indicator{
    transition: transform 0.3s ease;    
}

.scroll-indicator:hover{ 
    transform: scale(1.4);
    cursor: pointer;
}

.next-section {
    height: 100vh;
    display: grid;
    place-items: center;
    background: #111;
}

p   {
    font-size: 18px;
    line-height: 1.6;
}

.separator {
    width: 80%;
    height: 1px;
    margin: auto;

    background: rgba(47,111,115,0.25);
}

.header {
    transition: background 0.4s ease, backdrop-filter 0.4s ease;
}

/* ESTADO EN HERO (inicio) */
.header.at-hero {
    background: linear-gradient(
        to bottom,
        rgba(0,0,0,0.8),
        rgba(0,0,0,0.2),
        rgba(0,0,0,0)
    );
    backdrop-filter: blur(3px);
}

/* ESTADO FUERA DEL HERO */
.header.scrolled {
    background: rgba(0, 0, 0, 0.85);
    backdrop-filter: blur(8px);
    box-shadow: 0 5px 20px rgba(0,0,0,0.3);
}